## btest 0.53

=== debian/changelog ===
btest (0.53-1) unstable; urgency=low

  * Initial release (Closes: #771010)

 -- Hilko Bengen <bengen@debian.org>  Tue, 25 Nov 2014 23:23:18 +0100

## btest 0.54

=== Makefile ===

all:

.PHONY: dist

dist:
	rm -rf build/*.tar.gz
	python setup.py sdist -d build
	@printf "Package: "; echo build/*.tar.gz

test:
	@(cd testing && make)

=== testing/Makefile ===

all:
	@../btest -f diag.log

=== debian/changelog ===
btest (0.54-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 May 2015 21:00:33 +0200

=== debian/control ===
Source: btest
Section: devel
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9), python
Standards-Version: 3.9.6
Homepage: http://www.bro.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/btest.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/btest.git;a=summary

Package: btest
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python,
Description: simple driver for basic unit tests
 "btest" is a simple framework for writing unit tests. Freely
 borrowing some ideas from other packages, it's main objective is to
 provide an easy-to-use, straightforward driver for a suite of
 shell-based tests. Each test consists of a set of command lines that
 will be executed, and success is determined based on their exit
 codes. "btest" comes with some additional tools that can be used
 within such tests to compare output against a previously established
 baseline.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@ --buildsystem=python_distutils --with=python2

=== debian/watch ===
version=3
https://www.bro.org/download/index.html .*/btest-(\d.*)\.tar\.gz

## btest 0.56

=== debian/changelog ===
btest (0.56-1) unstable; urgency=medium

  * New upstream version
  * Update watch file; add PGP signature check
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Nov 2016 10:24:29 +0100

## btest 0.57

=== examples/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* .tmp

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BTest-SphinxDemo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BTest-SphinxDemo.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BTest-SphinxDemo"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BTest-SphinxDemo"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
btest (0.57-1) unstable; urgency=medium

  * New upstream version 0.57

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 14:11:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 9), python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.bro.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/btest.git
 Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/btest.git;a=summary

## btest 0.58

=== debian/changelog ===
btest (0.58-1) unstable; urgency=medium

  * New upstream version 0.58
  * Bump Debhelper compat level
  * Update Vcs-* headers after migration to salsa.debian.org
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Dec 2018 22:30:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 9), python
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), python
+Standards-Version: 4.3.0
 Homepage: http://www.bro.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/btest.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/btest.git;a=summary
+Vcs-Git: https://salsa.debian.org/bro-team/btest.git
+Vcs-Browser: https://salsa.debian.org/bro-team/btest
 
 Package: btest
 Architecture: all

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://www.bro.org/downloads btest-(\d.*)\.tar\.gz

## btest 0.59

=== Makefile ===
VERSION=`cat VERSION`

.PHONY: all
all:

.PHONY: dist
dist:
	rm -rf build/*.tar.gz
	python setup.py sdist -d build
	@printf "Package: "; echo build/*.tar.gz

.PHONY: upload
upload: twine-check dist
	twine upload -u bro build/btest-$(VERSION).tar.gz

.PHONY: test
test:
	@(cd testing && make)

.PHONY: twine-check
twine-check:
	@type twine > /dev/null 2>&1 || \
		{ \
		echo "Uploading to PyPi requires 'twine' and it's not found in PATH."; \
		echo "Install it and/or make sure it is in PATH."; \
		echo "E.g. you could use the following command to install it:"; \
		echo "\tpip install twine"; \
		echo ; \
		exit 1; \
		}

=== debian/changelog ===
btest (0.59-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update packaging to Python3.
  * Use debhelper-compat build-dep.
  * Bump Standards-Version.
  * Add build-deps to dh-python.
  * Use secure d/copyright format link.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 17 Dec 2019 17:23:26 +0100

btest (0.59-1) unstable; urgency=medium

  * New upstream version 0.59
  * Update debian/watch

 -- Hilko Bengen <bengen@debian.org>  Wed, 04 Sep 2019 00:11:48 +0200

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://www.zeek.org/downloads btest-(\d.*)\.tar\.gz

## btest 0.61

=== debian/changelog ===
btest (0.61-1) unstable; urgency=medium

  * New upstream version 0.61
  * Update watch file

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Jun 2020 08:26:43 +0200

## btest 0.62

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 .PHONY: upload
 upload: twine-check dist
-	twine upload -u bro build/btest-$(VERSION).tar.gz
+	twine upload -u zeek build/btest-$(VERSION).tar.gz
 
 .PHONY: test
 test:

=== testing/Makefile ===

all:
	@../btest -f diag.log

cleanup:
	@rm -f diag.log
	@rm -f .btest.failed.dat
	@rm -rf .tmp

=== debian/changelog ===
btest (0.62-1) unstable; urgency=medium

  * New upstream version 0.62

 -- Hilko Bengen <bengen@debian.org>  Thu, 10 Sep 2020 22:08:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,18 @@
 Section: devel
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 11), python
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
+               dh-python,
+               python3
+Standards-Version: 4.4.1
 Homepage: http://www.bro.org/
 Vcs-Git: https://salsa.debian.org/bro-team/btest.git
 Vcs-Browser: https://salsa.debian.org/bro-team/btest
 
 Package: btest
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python,
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3
 Description: simple driver for basic unit tests
  "btest" is a simple framework for writing unit tests. Freely
  borrowing some ideas from other packages, it's main objective is to
@@ -20,4 +23,3 @@
  codes. "btest" comes with some additional tools that can be used
  within such tests to compare output against a previously established
  baseline.
-

## btest 0.69

=== debian/changelog ===
btest (0.69-1) unstable; urgency=medium

  * New upstream version 0.69
  * Update Debhelper compat level, Standards-Version, URLs

 -- Hilko Bengen <bengen@debian.org>  Tue, 28 Dec 2021 02:28:36 +0100

## btest 0.72

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 .PHONY: dist
 dist:
 	rm -rf build/*.tar.gz
-	python setup.py sdist -d build
+	python3 setup.py sdist -d build
 	@printf "Package: "; echo build/*.tar.gz
 
 .PHONY: upload
@@ -24,7 +24,7 @@
 		echo "Uploading to PyPi requires 'twine' and it's not found in PATH."; \
 		echo "Install it and/or make sure it is in PATH."; \
 		echo "E.g. you could use the following command to install it:"; \
-		echo "\tpip install twine"; \
+		echo "\tpip3 install twine"; \
 		echo ; \
 		exit 1; \
 		}

=== debian/changelog ===
btest (0.72-1) unstable; urgency=medium

  * New upstream version 0.72

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Dec 2022 19:31:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3
-Standards-Version: 4.4.1
-Homepage: http://www.bro.org/
+Standards-Version: 4.6.0
+Homepage: http://www.zeek.org/
 Vcs-Git: https://salsa.debian.org/bro-team/btest.git
 Vcs-Browser: https://salsa.debian.org/bro-team/btest

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --buildsystem=python_distutils --with=python2
+	dh $@ --buildsystem=pybuild --with=python3

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://download.zeek.org/ btest-(\d.*)\.tar\.gz
